4. Client/Server Connectivity
Prev | Appendix A. List of options for the configure script | Next

## 4. Client/Server Connectivity

--enable-network=client/server

  Compile a client or server, rather than a standalone version.

--disable-encrypt

  Disable encryption for client/server communication.

--disable-srp

  Disable the use of the zero-knowledge SRP protocol to authenticate to log server, and use a (faster, but less secure) challenge-response protocol. This must be set to the same value for client and server, i.e. either disabled for client and server, or for none of both.

--with-libwrap[=PATH]

  [SERVER ONLY] Build the server with support for libwrap (Wietse Venema's TCP wrappers library). In `/etc/hosts.allow` and/or `/etc/hosts.deny`, use 'yule' or the name defined with --enable-install-name=NAME for the name of the daemon.

--with-port=PORT

  The port on which the server will listen (default is 49777), or to which the client will connect, respectively. This must be set to the same value for client and server. Only needed if this port is already used by some other application. Port numbers below 1024 require root privileges for the server.

--with-logserver=HOST

  [CLIENT ONLY] The host address of the log server. This can be set in the configuration file. A compiled-in address is only required if you want to fetch the configuration file from the log server. An address in the configuration file will take precedence.

--with-altlogserver=HOST

  [CLIENT ONLY] The host address of an alternative (backup) log server.

Prev | Up | Next
3. OpenPGP Signatures on Configuration/Database Files | Home | 5. Paths